Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Breit Polylinie im Lisp einstellen - Polylinienbreite

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Breit Polylinie im Lisp einstellen - Polylinienbreite (1467 mal gelesen)
mufuhaya
Mitglied


Sehen Sie sich das Profil von mufuhaya an!   Senden Sie eine Private Message an mufuhaya  Schreiben Sie einen Gästebucheintrag für mufuhaya

Beiträge: 8
Registriert: 01.07.2014

acad 2012

erstellt am: 01. Jul. 2014 11:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

brauche eure Hilfe im Lisp für:

- markieren von Polylinien auf layerX
- globale breite auf 0.05 stellen

ziel: brandabschnitte sind auf einem Layer, die müssen besser sichtbar sein

Freue mich auf eure Tipps...

mufuhaya (acad2012)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Fiedelzastrow
Mitglied
Architekt / Bauzeichner


Sehen Sie sich das Profil von Fiedelzastrow an!   Senden Sie eine Private Message an Fiedelzastrow  Schreiben Sie einen Gästebucheintrag für Fiedelzastrow

Beiträge: 991
Registriert: 05.07.2007

Win XP
AutoCAD 2006
AutoCAD 2009
AutoCAD 2012 LT

erstellt am: 01. Jul. 2014 11:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mufuhaya 10 Unities + Antwort hilfreich

Hallo mufuhaya und herzlich Willkommen bei cad.de
Kein Lisp aber dafür auch schnell Befehl Filter.
Dort kannst Du dann Objekttyp und Layer zum filtern festlegen und dann einfach die Breite dieser Polylinien manuell ändern.

Gruß
Robert

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd P
Ehrenmitglied V.I.P. h.c.
cook-general



Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 3056
Registriert: 07.06.2001

AMD A8-3870, W10-64bit, 16GB RAM, HP DJ T2300mfp, Maus:G700s, Sub:Infrastructure Design Suite, Excel 2013,

erstellt am: 01. Jul. 2014 11:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mufuhaya 10 Unities + Antwort hilfreich

Servus,

Möglichkeiten
1. Layer Linienbreite einstellen

2. Schnellauswahl(rechts oben) filter richtig einstellen und über Eigenschaftsfenster ändern.

------------------
<----- Bitte Systeminfo eintragen, warum siehst du hier. "Warum Einfach es geht auch kompliziert". Schöne Grüsse aus der Steiermark  Bernd P. Sport ist Mord
Rekorde: Scalelist>11727, Fehler>34365, Layerfilter>XXXX

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadwomen
Ehrenmitglied V.I.P. h.c.
Mädchen für fast alles


Sehen Sie sich das Profil von cadwomen an!   Senden Sie eine Private Message an cadwomen  Schreiben Sie einen Gästebucheintrag für cadwomen

Beiträge: 2653
Registriert: 26.08.2002

erstellt am: 01. Jul. 2014 11:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mufuhaya 10 Unities + Antwort hilfreich

Hy

eine wählen RMT ähnliche auswählen und dann ab in die Eigenschaften und fertig

cw

------------------
Also ich finde Unities gut ... und andere sicher auch
------------------------------------------------
cadwomen™
Plant ist wie Öl suchen, je tiefer man bohrt desto mehr kommt ans Tageslicht

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mufuhaya
Mitglied


Sehen Sie sich das Profil von mufuhaya an!   Senden Sie eine Private Message an mufuhaya  Schreiben Sie einen Gästebucheintrag für mufuhaya

Beiträge: 8
Registriert: 01.07.2014

acad 2012

erstellt am: 01. Jul. 2014 14:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Leute vielen dank für die Antworten... 

Aber: da wir architektur-pläne auf unseren standard (elektro) bringen müssen, muss das ganze über Lisp laufen  (viele Pläne..)
manuell gehts relativ einfach, aber über lisp gar nicht??

wie kann ich einen Layer über LISP auswählen?
Danach ginge es einfach...
- selectsimilar
- pedit
- Breite einstellen

I´m exited...

grüße mufuhaya

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mufuhaya
Mitglied


Sehen Sie sich das Profil von mufuhaya an!   Senden Sie eine Private Message an mufuhaya  Schreiben Sie einen Gästebucheintrag für mufuhaya

Beiträge: 8
Registriert: 01.07.2014

acad 2012

erstellt am: 01. Jul. 2014 14:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Leute vielen dank für die Antworten... 
Aber: da wir architektur-pläne auf unseren standard (elektro) bringen müssen, muss das ganze über Lisp laufen  (viele Pläne..)
manuell gehts relativ einfach, aber über lisp gar nicht??

wie kann ich einen Layer über LISP auswählen?
Danach ginge es einfach...
- selectsimilar
- pedit
- Breite einstellen

I´m exited...

grüße mufuhaya

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 01. Jul. 2014 14:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mufuhaya 10 Unities + Antwort hilfreich

Dann mach das doch einfach so:Auswahlsatz erstellen (mit ssget wenn wir schon Lisp benutzen dürfen)

Dann starte den Pedit Befehl, übergebe die Objekt des Auswahlsatzes an die Objektwahl und ändere die Breite.
In Lisp kannst du AutoCAD-Befehle mit (command  ) aufrufen !

(command "_.PEDIT" "_m" MeinAuswahlsatz "" "_w" 2 "")

Einfach den Befehl eintippen und die Befehlsfolge die benötigte wird notieren und genau so den Command aufbauen,
ich habe die englische/internationale Schreibweise genutzt, aber du kannst auch BReite stat _w angeben etc, gan z wie von Hand auch.

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadwomen
Ehrenmitglied V.I.P. h.c.
Mädchen für fast alles


Sehen Sie sich das Profil von cadwomen an!   Senden Sie eine Private Message an cadwomen  Schreiben Sie einen Gästebucheintrag für cadwomen

Beiträge: 2653
Registriert: 26.08.2002

erstellt am: 01. Jul. 2014 14:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mufuhaya 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von mufuhaya:
..Danach ginge es einfach...

grüße mufuhaya 


Nein weil erst mal brauchst du ein "Programm" das die die Dateien als Batch abarbeitet
sonst musst du genauso von Hand jede Datei öffnen und somit wäre das kein gewinn

cu cw

------------------
Also ich finde Unities gut ... und andere sicher auch
------------------------------------------------
cadwomen™
Plant ist wie Öl suchen, je tiefer man bohrt desto mehr kommt ans Tageslicht

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 01. Jul. 2014 14:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mufuhaya 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von mufuhaya:
wie kann ich einen Layer über LISP auswählen?

Ich gehe davon aus das du überhaupt kein Lisp benötigst weil du keine Lisp/Batchlösung nutzt,
aber ok - Wer fragt bekommt Antworten:

Layer kann man nie auswählen, allenfalls die Objekte die diesem zugeordnet sind und da auch nur die TopLevelElemente(nicht Verschachtelte),
zudem funktionieren Befehle nur im aktuellen Bereich (Auswählen kannst du alle Objekte, Befehle nehmen aber nur id Objekte des aktuellen Bereiches).

Also: Alle "polylinienartigen" Objekte(um das genau zu handeln müßte ich was nachschlagen, dazu bin ich gerade zu faul) auf Layer "heute" :
(setq MeinAuswahlsatz(SSGET "_X" '((0 . "*POLYLINE")(8 . "heute"))))

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mufuhaya
Mitglied


Sehen Sie sich das Profil von mufuhaya an!   Senden Sie eine Private Message an mufuhaya  Schreiben Sie einen Gästebucheintrag für mufuhaya

Beiträge: 8
Registriert: 01.07.2014

acad 2012

erstellt am: 01. Jul. 2014 16:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

ich habe meine Frage nicht gut genug formuliert:

meine Lisp-Datei ist fast fertig, es fehlt mir nur noch dieser Punkt.

- Auswahl von Brandabschnittsgrenzen:
* liegt auf Layer: "BAGR"
* und sind Polylinien

also mein Lisp muss dann diese Polylinien nach Layer auswählen und stärker einstellen.

lg
mufuhaya


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadwomen
Ehrenmitglied V.I.P. h.c.
Mädchen für fast alles


Sehen Sie sich das Profil von cadwomen an!   Senden Sie eine Private Message an cadwomen  Schreiben Sie einen Gästebucheintrag für cadwomen

Beiträge: 2653
Registriert: 26.08.2002

erstellt am: 01. Jul. 2014 16:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mufuhaya 10 Unities + Antwort hilfreich

na dann post die hier mal

Zitat:
Original erstellt von mufuhaya:
ich habe meine Frage nicht gut genug formuliert:

meine Lisp-Datei ist fast fertig, es fehlt mir nur noch dieser Punkt.



------------------
Also ich finde Unities gut ... und andere sicher auch
------------------------------------------------
cadwomen™
Plant ist wie Öl suchen, je tiefer man bohrt desto mehr kommt ans Tageslicht

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 01. Jul. 2014 16:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mufuhaya 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von mufuhaya:
es fehlt mir nur noch dieser Punkt.

- Auswahl von Brandabschnittsgrenzen:
* liegt auf Layer: "BAGR"
* und sind Polylinien

also mein Lisp muss dann diese Polylinien nach Layer auswählen und stärker einstellen.


Die Antwort wie man das löst hast du doch jetzt schon: Lispfunktion SSGET (siehe Beispiel oben und zukünftig die AutoCADhilfe zu ssget)

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mufuhaya
Mitglied


Sehen Sie sich das Profil von mufuhaya an!   Senden Sie eine Private Message an mufuhaya  Schreiben Sie einen Gästebucheintrag für mufuhaya

Beiträge: 8
Registriert: 01.07.2014

acad 2012

erstellt am: 02. Jul. 2014 09:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke mal vorab, werde ich demnächst mal mit ssget ausprobieren..

wie erkenne ich mit ssget eine polylinie mit einem layernamen?

lg
mufuhaya

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 02. Jul. 2014 09:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mufuhaya 10 Unities + Antwort hilfreich

Wenn sich jemand Zeit für dich und deine Probleme nimmt (und hier auf CAD.de ist es nicht nur einer, für gewöhnlich sind es viele)
dann sollte du so viel Respekt haben dir auch Zeit für ihn (seine Antworten) zu nehmen.

"wie erkenne ich mit ssget eine polylinie mit einem layernamen?"
Antwort:

  Arbeite diesen Thread einfach "noch einmal" von Anfang bis Ende durch.
Dann braucht man sich nicht wiederholen, weder beim Silbertablett noch bei den Hinweisen auf die Hilfe etc.

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd P
Ehrenmitglied V.I.P. h.c.
cook-general



Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 3056
Registriert: 07.06.2001

AMD A8-3870, W10-64bit, 16GB RAM, HP DJ T2300mfp, Maus:G700s, Sub:Infrastructure Design Suite, Excel 2013,

erstellt am: 02. Jul. 2014 09:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mufuhaya 10 Unities + Antwort hilfreich

kurz cadffm gab dir die antwort schon weiter oben und ist sauer das du mangels aufmerksamkeit es nicht gesehen hast... was verständlich ist.

------------------
<----- Bitte Systeminfo eintragen, warum siehst du hier. "Warum Einfach es geht auch kompliziert". Schöne Grüsse aus der Steiermark  Bernd P. Sport ist Mord
Rekorde: Scalelist>11727, Fehler>34365, Layerfilter>XXXX

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 02. Jul. 2014 09:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mufuhaya 10 Unities + Antwort hilfreich

Ach mennö .....

um die Sache mal abzukürzen :
(defun PLGW(LAYER BREITE / AWS)
  (vl-load-com)
  (if(and(or(and(=(type LAYER)'STR)(tblobjname "LAYER" LAYER))
            (prompt "\nLayer existiert nicht")
         )
         (or(and(numberp BREITE)(>= BREITE 0))
            (prompt "\nungültige Breite")
         )        
         (setq AWS(ssget (list '(0 . "*POLYLINE")(cons 8 LAYER))))
     )   
    (progn   
      (mapcar
        '(lambda(X / Y)
           (and(=(type(cadr X))'ENAME)
               (setq Y(vlax-ename->vla-object (cadr X)))
               (not(vl-catch-all-error-p
                     (vl-catch-all-apply
                       'vla-put-ConstantWidth (list Y BREITE)
                     )
                   )
               )
           )   
         ) 
        (ssnamex AWS)
      )
    ) 
    (princ)
  )             
)

... aufruf dann speziell für dich mit (PLGW "BAGR" 0.05)

Lisp laden,starten ect. Siehe FAQ

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadwomen
Ehrenmitglied V.I.P. h.c.
Mädchen für fast alles


Sehen Sie sich das Profil von cadwomen an!   Senden Sie eine Private Message an cadwomen  Schreiben Sie einen Gästebucheintrag für cadwomen

Beiträge: 2653
Registriert: 26.08.2002

erstellt am: 02. Jul. 2014 10:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mufuhaya 10 Unities + Antwort hilfreich

und ich würde gern die Lisp sehen dann haben wir alle was davon


Zitat:
Original erstellt von mufuhaya:
ich habe meine Frage nicht gut genug formuliert:

meine Lisp-Datei ist fast fertig, es fehlt mir nur noch dieser Punkt.

- Auswahl von Brandabschnittsgrenzen:
* liegt auf Layer: "BAGR"
* und sind Polylinien

also mein Lisp muss dann diese Polylinien nach Layer auswählen und stärker einstellen.

lg
mufuhaya 


------------------
Also ich finde Unities gut ... und andere sicher auch
------------------------------------------------
cadwomen™
Plant ist wie Öl suchen, je tiefer man bohrt desto mehr kommt ans Tageslicht

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mufuhaya
Mitglied


Sehen Sie sich das Profil von mufuhaya an!   Senden Sie eine Private Message an mufuhaya  Schreiben Sie einen Gästebucheintrag für mufuhaya

Beiträge: 8
Registriert: 01.07.2014

acad 2012

erstellt am: 02. Jul. 2014 13:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hey Leute, seits nicht gleich so angry..

ich bin ein frischer Programmierer. Da ich nicht mal die Befehle genug kenne, scheitere ich öfters an winzigen dummen Fehler...
mein programm beinhaltet nur commands, welche Xrefs lösen und binden, bissi farben umändern, usw..
weiters habe ich jetzt die Lösung vom cadffm hinzugefügt:

(setq ss1(SSGET "_X" '((0 . "*POLYLINE")(8 . "*BAGR*"))))
(command "_.PEDIT" "_m" ss1 "" "_w" 0.05 "")

funkt mal...
jetzt muss ich noch ein bissi weiterkämpfen...

danke an alle 

lg
mufuhaya


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 02. Jul. 2014 13:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mufuhaya 10 Unities + Antwort hilfreich

Gut, jetzt hast du meine beiden Zeilen zusammengeführt

Vergesse dabei nicht:
Der Befehl erwartet Objekte, sonst rennt dein "Script" in einen Fehler, so könntest du das abfangen:
(if (setq ss1...
    (command "_PEDIT" "_m" ss1 ..
)
Und: AutoCAD-Befehle ändern Objekte nur wenn diese nicht auf einem gesperrten Layer liegen,
du mußt also entweder dafür sorgen das diese entsperrt sind.


------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadwomen
Ehrenmitglied V.I.P. h.c.
Mädchen für fast alles


Sehen Sie sich das Profil von cadwomen an!   Senden Sie eine Private Message an cadwomen  Schreiben Sie einen Gästebucheintrag für cadwomen

Beiträge: 2653
Registriert: 26.08.2002

erstellt am: 02. Jul. 2014 13:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mufuhaya 10 Unities + Antwort hilfreich

Hallo

dann solltest du das mal lesen

http://www.tutorial.autolisp.info/

cu cw

------------------
Also ich finde Unities gut ... und andere sicher auch
------------------------------------------------
cadwomen™
Plant ist wie Öl suchen, je tiefer man bohrt desto mehr kommt ans Tageslicht

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz